# Class CIM_DeviceSharingCapabilities
extends CIM_Capabilities

A class derived from Capabilities that describes the type of access supported for a shared device.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_DeviceSharingCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A class derived from Capabilities that describes the type of access supported for a shared device.
UMLPackagePath | string | CIM::Device::SCSI
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherSupportedAccessModes | string[] |
ArrayType | string | Indexed
Description | string | A string value describing SupportedAccess when it has a value of "Other".
ModelCorrespondence | string | CIM_DeviceSharingCapabilities.SupportedAccessModes
SupportedAccessModes | uint16[] |
ArrayType | string | Indexed
Description | string | SupportedAccess describes the types of shared access that are supported for the referenced LogicalDevice.
ModelCorrespondence | string | CIM_SharingDependency.CurrentAccess, CIM_DeviceSharingCapabilities.OtherSupportedAccessModes
ValueMap | string | 0, 1, 2, 3, 4, 5, .., 32768..65535
Values | string | Unknown, Other, No Access, Exclusive Access, Shared Read, Shared Full, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods